# Colemak mod_DH keymap for Redox (rev 1, wired)

Customized Colemak DH keyboard layout. It does come with additional QWERTY layout (no 4) for those rare occasions when needed. 

Upload `colemak-dh-1.json` to https://config.qmk.fm/#/redox/rev1/LAYOUT to
see the layout (and preferably print it when learning).

## How to flash the firmware

Download QMK Firmware (https://docs.qmk.fm/#/getting_started_build_tools) and decompess/install according to instructions.

Place content of the repsitory in:

`qmk_firmware/keyboards/redox/keymaps/adam-colemak`

next regenerate keymap.c from json layout (you can modify the json file using graphical configurator linked above):

`qmk json2c colemak-dh-1.json -o keymap.c`

compile the firmware:

```
qmk config user.keyboard=redox/rev1
qmk config user.keymap=adam-colemak
qmk compile
```

and finally flash to your keyboard (you will need to run flash command for each side of the keyboard separately):

```
qmk flash
```

Enjoy!